netatalk: uams_passwd.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
uams_passwd.c File Reference
`#include <arpa/inet.h>`
`#include <pwd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <time.h>`
`#include <unistd.h>`
`#include <atalk/afp.h>`
`#include <atalk/compat.h>`
`#include <atalk/logger.h>`
`#include <atalk/uam.h>`
`#include <atalk/util.h>`

## Macros
#define | PASSWDLEN 8

## Functions
UAM_MODULE_EXPORT void | append (struct papfile *, const char *, int)
static int | pwd_login (void *obj, char *username, int ulen, struct passwd **uam_pwd, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
static int | passwd_login (void *obj, struct passwd **uam_pwd, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
static int | passwd_login_ext (void *obj, char *uname, struct passwd **uam_pwd, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
| cleartxt login ext
static int | passwd_printer (char *start, char *stop, char *username, struct papfile *out)
static int | uam_setup (void *obj, const char *path)
static void | uam_cleanup (void)

## Variables
UAM_MODULE_EXPORT struct uam_export | uams_clrtxt
UAM_MODULE_EXPORT struct uam_export | uams_passwd

## Macro Definition Documentation

## ◆ PASSWDLEN

#define PASSWDLEN 8

## Function Documentation

## ◆ append()

UAM_MODULE_EXPORT void append | ( | struct papfile * | pf,
|  | const char * | data,
|  | int | len )
| extern

## ◆ passwd_login()

int passwd_login | ( | void * | obj,
|  | struct passwd ** | uam_pwd,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )
| static

cleartxt login

## ◆ passwd_login_ext()

int passwd_login_ext | ( | void * | obj,
|  | char * | uname,
|  | struct passwd ** | uam_pwd,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )
| static

cleartxt login ext

uname format :

byte 3
2 bytes len (network order)
len bytes unicode name

## ◆ passwd_printer()

int passwd_printer | ( | char * | start,
|  | char * | stop,
|  | char * | username,
|  | struct papfile * | out )
| static

Printer ClearTxtUAM login

## ◆ pwd_login()

int pwd_login | ( | void * | obj,
|  | char * | username,
|  | int | ulen,
|  | struct passwd ** | uam_pwd,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )
| static

## ◆ uam_cleanup()

void uam_cleanup | ( | void |  | ) |
| static

## ◆ uam_setup()

int uam_setup | ( | void * | obj,
|  | const char * | path )
| static

## Variable Documentation

## ◆ uams_clrtxt

UAM_MODULE_EXPORT struct uam_export uams_clrtxt

Initial value:
= {
UAM_MODULE_SERVER,
UAM_MODULE_VERSION,
uam_setup, uam_cleanup
}
UAM_MODULE_VERSION
#define UAM_MODULE_VERSION
Definition uam.h:21
UAM_MODULE_SERVER
#define UAM_MODULE_SERVER
Definition uam.h:17
uam_setup
static int uam_setup(void *obj, const char *path)
Definition uams_dhx2_pam.c:1018
uam_cleanup
static void uam_cleanup(void)
Definition uams_dhx2_pam.c:1040

## ◆ uams_passwd

UAM_MODULE_EXPORT struct uam_export uams_passwd

Initial value:
= {
UAM_MODULE_SERVER,
UAM_MODULE_VERSION,
uam_setup, uam_cleanup
}